import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (f, r, l, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, l) : r, s = f.length - 1, i; s >= 0; s--)
    (i = f[s]) && (e = (t ? i(r, l, e) : i(e)) || e);
  return t && e && h(r, l, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--offerFilledLarge", this.class = "c-pieIcon c-pieIcon--offerFilledLarge", this.name = "IconOfferFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--offerFilledLarge"><path d="M22.108 5.211c.113-.166.236-.323.384-.472a3.38 3.38 0 0 1 4.77 0l1.233-1.234a5.123 5.123 0 0 0-7.236 0 5 5 0 0 0-1.033 1.523l-4.139-.412c-.7-.07-1.382.175-1.872.674L2.691 16.796l11.953 13.082 12.083-12.084a2.3 2.3 0 0 0 .665-1.873L26.37 5.64zM20.26 9.306c.28-.192.622-.306.989-.306a1.752 1.752 0 0 1 0 3.5c-.962 0-1.75-.787-1.75-1.75 0-.604.306-1.129.761-1.444"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  g("icon-offer-filled-large")
], o);
export {
  o as IconOfferFilledLarge
};
